Skip to main content
POST
/
cards
/
{cardId}
/
fund
Fund a card from a debit account
curl --request POST \
  --url https://api-dev.paygen.online/cards/{cardId}/fund \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "debitAccountId": "account_id",
  "amount": 25
}
'
{
  "statusCode": 123,
  "message": "<string>",
  "data": {
    "_id": "<string>",
    "debitAccountId": "<string>",
    "cardHolderId": "<string>",
    "type": "virtual",
    "brand": "Mastercard",
    "currency": "NGN",
    "metadata": {},
    "status": "<string>",
    "spendingControls": {
      "channels": {
        "atm": true,
        "pos": true,
        "web": true,
        "mobile": true
      },
      "allowedCategories": [
        "<string>"
      ],
      "blockedCategories": [
        "<string>"
      ],
      "spendingLimits": [
        {
          "amount": 123,
          "interval": "<string>",
          "categories": [
            "<string>"
          ]
        }
      ]
    },
    "enable2FA": true,
    "disposable": true
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

cardId
string
required

Body

application/json
debitAccountId
string
required
amount
number
required
Required range: x >= 0.01
paymentReference
string
narration
string

Response

200 - application/json

Card funded successfully.

statusCode
integer
required
message
string
required
data
object